com.holonplatform.datastore.jdbc

## Interface JdbcDialect.SQLFunction

- All Superinterfaces:
    Serializable
  Enclosing interface:
    JdbcDialect

      public static interface JdbcDialect.SQLFunction
      extends Serializable

  SQL function representation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JdbcDialect.SQLFunction.DefaultFunction` Default SQL function enumeration.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JdbcDialect.SQLFunction` | `create(String name, boolean parenthesesIfNoArguments)` Create a `JdbcDialect.SQLFunction`.
    `String` | `getName()` Get the function name
    `boolean` | `hasParenthesesIfNoArguments()` Get whether parentheses are required if there are no arguments.
    `String` | `serialize(List<String> arguments)` Serialize the function as SQL
    `default String` | `serialize(String... arguments)` Serialize the function as SQL

- - ### Method Detail

    - #### getName

          String getName()

      Get the function name
      Returns:
        The function name

    - #### hasParenthesesIfNoArguments

          boolean hasParenthesesIfNoArguments()

      Get whether parentheses are required if there are no arguments.
      Returns:
        `true` if parentheses are required if there are no arguments, `false` otherwise

    - #### serialize

          String serialize(List<String> arguments)

      Serialize the function as SQL
      Parameters:
        `arguments` - Optional function arguments
      Returns:
        Serialized function

    - #### serialize

          default String serialize(String... arguments)

      Serialize the function as SQL
      Parameters:
        `arguments` - Function arguments
      Returns:
        Serialized function

    - #### create

          static JdbcDialect.SQLFunction create(String name,
                                                boolean parenthesesIfNoArguments)

      Create a `JdbcDialect.SQLFunction`.
      Parameters:
        `name` - Function name (not null)
        `parenthesesIfNoArguments` - Whether parentheses are required if there are no arguments
      Returns:
        The `JdbcDialect.SQLFunction`

Copyright © 2017 The Holon Platform. All rights reserved.